package com.sun.jmx.snmp.internal;

import com.sun.jmx.snmp.SnmpPdu;
import com.sun.jmx.snmp.SnmpSecurityException;
import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpMsg;
import com.sun.jmx.snmp.SnmpSecurityParameters;
import java.net.InetAddress;

public interface SnmpIncomingResponse
{
    public abstract InetAddress getAddress();
    
    public abstract int getPort();
    
    public abstract SnmpSecurityParameters getSecurityParameters();
    
    public abstract void setSecurityCache(SnmpSecurityCache p0);
    
    public abstract int getSecurityLevel();
    
    public abstract int getSecurityModel();
    
    public abstract byte[] getContextName();
    
    public abstract SnmpMsg decodeMessage(byte[] p0, int p1, InetAddress p2, int p3) throws SnmpStatusException, SnmpSecurityException;
    
    public abstract SnmpPdu decodeSnmpPdu() throws SnmpStatusException;
    
    public abstract int getRequestId(byte[] p0) throws SnmpStatusException;
    
    public abstract String printMessage();
}
